flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test15 - 2D unsteady flow LM
  mesh:
    mesh_file: ../00_mesh/rectangle_16x1_uns.msh
  flow_equation: !Flow_Richards_LMH
    output_specific:
      raw_flow_output: ./raw_output.txt
    input_fields:
      - region: ALL
        storativity: 1.0
      - region: domain
        anisotropy: 1
        # default
        cross_section: 1
        # default
        water_source_density: !FieldFormula
          value: -x
        init_piezo_head: 0
      - region: .left
        bc_type: dirichlet
        bc_pressure: 0
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    n_schurs: 2
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance:
      cumulative: true
    time:
      end_time: 2.0
      max_dt: 0.01
      min_dt: 0.01
    output_stream: 
      file: ./test15.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
      times:
        - step: 0.1
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: domain
          init_conc: 0
        - region: .left
          bc_type: dirichlet
          bc_conc: 10
          time: 0.0
        - region: .left
          bc_type: dirichlet
          bc_conc: 0
          time: 0.1
    output_stream: 
      file: ./transport.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.1
    substances:
      - conc
    reaction_term: !Sorption
      solvent_density: 1.0
      substances:
        - conc
      molar_mass:
        - 1.0
      solubility:
        - 1.0
      input_fields:
        - region: ALL
          rock_density: 1.0
          sorption_type: linear
          isotherm_mult: 0.6
          isotherm_other: 0.4
      output:
        fields: []
    time:
      end_time: 2.0
    balance:
      cumulative: true